
QGIS Application - Bug report #15802

QGIS slower and slower after editing

2016-11-03 06:37 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23722

Description

I am editing a vector layer (SHP) in QGIS. I save edits a lot because of fear of losing changes because the application might crash. What

I've noticed is that after a few times of saving it takes longer and longer times to save. The application almost freezes after a while. Same

thing happens if I toggle editing on and off. Slower and slower until I can't stand waiting 20 seconds to save the changing of ten vector

points. So I have to close QGIS and restart it and then all is fine again. For a while.

This problem has been around for a while (many versions)

History

#1 - 2016-11-03 09:15 AM - Gerhard Spieles

Problem may caused through installed cad plugins

See #13869

#2 - 2016-11-03 01:02 PM - Nyall Dawson

"rectangles, ovals,..." Is another plugin which causes this behaviour

#3 - 2016-11-04 12:57 AM - Richard Duivenvoorde

- Status changed from Open to Feedback

Yep, several plugins reregister on events/signals on edit saves. OR other logic doing weird things with data...

So please: check if you can do the edits without any plugins.

Either rename you .qgis2 folder temporarily (so QGIS creates a new one) and do you edits.

IF that works, try to add your plugins one by one to find out what is the bad guy, and contact the dev of that plugin.

Please let us know if it solves your problem

#4 - 2016-11-04 04:23 AM - Thomas Baumann

The plugin "Numerical Digitize" also caused this affect in my case. It also has the problem that it reregisteres the editingStarted() signal everytime you save

the layer.
#5 - 2017-01-02 06:53 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

#6 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
